gov.ornl.mercury3.services

## Class AbstractSession

- java.lang.Object
- - gov.ornl.mercury3.services.AbstractSession

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    Session

      public abstract class AbstractSession
      extends Object
      implements Serializable

  AbstractSession entity provides the base persistence definition of the Session entity.
  Author:
    MyEclipse Persistence Tools
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSession()` default constructor
    `AbstractSession(SessionId id, String ipNumber)` minimal constructor
    `AbstractSession(SessionId id, String ipNumber, String ipName, String browserInfo, Short localUserFlag, Date sessionDate)` full constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBrowserInfo()`
    `SessionId` | `getId()`
    `String` | `getIpName()`
    `String` | `getIpNumber()`
    `Short` | `getLocalUserFlag()`
    `Date` | `getSessionDate()`
    `void` | `setBrowserInfo(String browserInfo)`
    `void` | `setId(SessionId id)`
    `void` | `setIpName(String ipName)`
    `void` | `setIpNumber(String ipNumber)`
    `void` | `setLocalUserFlag(Short localUserFlag)`
    `void` | `setSessionDate(Date sessionDate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSession

          public AbstractSession()

      default constructor

    - #### AbstractSession

          public AbstractSession(SessionId id,
                         String ipNumber)

      minimal constructor

    - #### AbstractSession

          public AbstractSession(SessionId id,
                         String ipNumber,
                         String ipName,
                         String browserInfo,
                         Short localUserFlag,
                         Date sessionDate)

      full constructor

  - ### Method Detail

    - #### getId

          public SessionId getId()

    - #### setId

          public void setId(SessionId id)

    - #### getIpNumber

          public String getIpNumber()

    - #### setIpNumber

          public void setIpNumber(String ipNumber)

    - #### getIpName

          public String getIpName()

    - #### setIpName

          public void setIpName(String ipName)

    - #### getBrowserInfo

          public String getBrowserInfo()

    - #### setBrowserInfo

          public void setBrowserInfo(String browserInfo)

    - #### getLocalUserFlag

          public Short getLocalUserFlag()

    - #### setLocalUserFlag

          public void setLocalUserFlag(Short localUserFlag)

    - #### getSessionDate

          public Date getSessionDate()

    - #### setSessionDate

          public void setSessionDate(Date sessionDate)

Copyright © 2016. All rights reserved.